Name: cooledit
Version: 3.17.7
Release: alt2
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: Full featured multiple window programmer's text editor
Summary(ru_RU.KOI8-R):     
Icon: cooledit.gif
License: GPL
Group: Editors
Url: http://voins.program.ru/cooledit

Source0: %name-%version.tar.bz2
Source1: %{name}_48x48.xpm
Source2: %name.menu
Source3: cooledit-gdb
Source4: cooledit-README.gdb
Source5: cooledit.ru.po

Patch0: cooledit-3.17.7-alt-widgetfont.patch.gz
Patch1: cooledit-3.17.7-alt-sysconfdir.patch.gz
Patch2: cooledit-3.17.1-alt-fonts.patch.gz
Patch3: cooledit-3.17.4-alt-gdb.patch.gz
Patch4: cooledit-3.17.7-alt-nointl.patch.gz
Patch5: cooledit-3.17.7-alt-cooledit_ve.patch.gz
Patch6: cooledit-3.17.7-alt-no_syntax_text.patch.gz
Patch7: cooledit-3.17.7-alt-syntax.patch.bz2
Patch8: cooledit-3.17.7-alt-autoconf.patch.gz

Patch10: cooledit-3.17.7-alt-v22.patch.bz2

#Nosource: 0

Requires: cooledit-syntax >= 3.17.4-alt3

# Automatically added by buildreq on Fri Sep 26 2003
BuildRequires: XFree86-devel gcc-c++ libintl-devel libstdc++-devel man-pages python-devel xpm-devel

%description
Full-featured X Window text editor; multiple edit windows; 3D Motif-ish
look and feel; shift-arrow and mouse text highlighting; column text
highlighting and manipulation; color syntax highlighting for various
sources; buildin Python interpretor for macro programm.; interactive
graphical debugger - interface to gdb; key for key undo; macro
recording; regular expression search and replace; pull-down menus; drag
and drop; interactive man page browser; run make and other shell
commands with seamless shell interface; redefine keys with an easy
interactive key learner; full support for proportional fonts;

This version supports nested contexts in syntax hilighting and many other features.
See %_defaultdocdir/%name-%version/README.voins for more info.

%description -l ru_RU.KOI8-R
     X Windows;
  Motif ;     Shift-;
     ;  
  ;     ;
   -   gdb; 
;  ;     ;
 ; drag and drop;  man-;
 make      ; 
 ;    ;

       
   .  
 %_defaultdocdir/%name-%version/README.voins.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p0
%patch8 -p0

%patch10 -p1

cp %SOURCE3 editor/
cp %SOURCE4 ./README.gdb
cp %SOURCE5 po/ru.po

%build
#%%set_automake_version 1.4
#%%set_autoconf_version 2.5

libtoolize --force
aclocal
autoconf

export MANPAGER=""
export PAGER=""
%configure --without-included-gettext
%make_build

%install
%makeinstall
%find_lang %name
install -D -m644 pixmap/coolicon.config %buildroot%_sysconfdir/coolicon.config

# Mandrake menu entries
install -D -m644 cooledit_16x16.xpm %buildroot%_miconsdir/cooledit.xpm
install -D -m644 cooledit_32x32.xpm %buildroot%_iconsdir/cooledit.xpm
install -D -m644 %SOURCE1 %buildroot%_liconsdir/cooledit.xpm
install -D -m644 %SOURCE2 %buildroot%_menudir/cooledit
rm -rf %buildroot%_datadir/cooledit/syntax
mv %buildroot%_datadir/cooledit %buildroot%_libdir/cooledit_ve

%post
/sbin/ldconfig
#%_libdir/coolicon/modify-xinitrc
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%files -f %name.lang
%config(noreplace) %_sysconfdir/coolicon.config
%_bindir/*
%_libdir/cooledit_ve/*
%_menudir/%name
%_libdir/lib*.so*
%_datadir/coolicon/*.xpm
%_datadir/coolicon/e.data
%_iconsdir/*.xpm
%_miconsdir/*.xpm
%_liconsdir/*.xpm
%_mandir/man1/*
%doc ABOUT-NLS AUTHORS BUGS FAQ INSTALL INTERNATIONAL HINTS
%doc MAILING_LIST NEWS PROGRAMMING README TODO VERSION ChangeLog
%doc cooledit.lsm coolicon.lsm coolman.lsm
%doc rxvt/README.rxvt
%doc README.voins README.voins.rus README.gdb

%changelog
* Fri Sep 26 2003 Grigory Batalov <bga@altlinux.ru> 3.17.7-alt2
- build requirements fixed

* Wed Mar 26 2003 Grigory Batalov <bga@altlinux.ru> 3.17.7-alt1
- 3.17.7 (v22)
- specfile description translated

* Tue Nov 19 2002 AEN <aen@altlinux.ru> 3.17.5-alt3
- rebuilt with gcc-3.2

* Sun Jun 16 2002 Alexey Voinov <voins@voins.program.ru> 3.17.5-alt2
- spec cleanup
- build with external gettext (-nointl patch) [fixes bug#0000573]
- build with python22 (-python22.patch)
- buildreqs fixed

* Sat Mar 10 2002 Alexey Voinov <voins@voins.program.ru> 3.17.5-alt1
- new version

* Thu Jan 29 2002 Konstantin Volckov <goldhead@altlinux.ru> 3.17.4-alt10
- Rebuilt with python-2.2

* Wed Jun 27 2001 Stanislav Ievlev <inger@altlinux.ru> 3.17.4-alt9
- Rebuilt with python-2.1

* Mon Apr 30 2001 Alexey Voinov <voins@voins.program.ru> 3.17.4-alt8
- conditional NoSource. build nosrc.rpm with --define 'nosource 1'

* Wed Apr 25 2001 Alexey Voinov <voins@voins.program.ru> 3.17.4-alt6
- ru.po updated

* Thu Apr 10 2001 Alexey Voinov <voins@voins.program.ru> 3.17.4-alt4
- /usr/lib/cooledit renamed to /usr/lib/cooledit_ve to remove
  possible conflicts with mcedit
- ve patch version 22
- removed gdb autodependance
- README.gdb added - 3.17.4-alt5

* Thu Apr 10 2001 Alexey Voinov <voins@voins.program.ru> 3.17.4-vns1
- merged with AEN version
- build for MDK Spring 2001
- modify-xinitrc temporary disabled 'cos it's buggy
- see COPYING in common-licenses

* Wed Sep 24 2000 Alexey Voinov <voins@voins.program.ru>
- patch for nested contexts
- %doc files added

* Wed May 24 2000 AEN <aen@logic.ru>
- build for RE
- Ugly patch for true xkb input

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.14.0-4mdk
- use % configure.
- Clean up specs.

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 3.14.0-3mdk
- Clean spec file
- Install icon in /usr/share/icon

* Thu Apr 20 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 3.14.0-2mdk
- Rebuild tarball with sane directory permissions (thanks fredl)

* Mon Apr 10 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 3.14.0-1mdk
- version 3.14.0
- menu entry
- BuildRoot update
- URL update
- Redo filelist to be based on prefix
- Correct bug which prevented proper CFLAGS from showing up
- .a library removed, unnecessary

* Wed Dec 29 1999 Lenny Cartier <lenny@mandrakesoft.com>
- only add the homepage URL

* Wed Dec 29 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used and modify specfile from RH contribs
- added a new filelist
- bzip man pages
- clean specfile

